name: mi_card
description: A new Flutter application.

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# Read more about versioning at semver.org.
version: 1.0.0+1

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.2

dev_dependencies:
  flutter_test:
    sdk: flutter


# For information on the generic Dart part of this file, see the
# following page: https://www.dartlang.org/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/images/

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.io/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.io/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  fonts:
    - family: Pacifico
      fonts:
        - asset: assets/fonts/Pacifico-Regular.ttf
    - family: Sans-Pro
      fonts:
        - asset: assets/fonts/SourceSansPro-Black.ttf
        - asset: assets/fonts/SourceSansPro-BlackItalic.ttf
          style: italic
        - asset: assets/fonts/SourceSansPro-Bold.ttf
        - asset: assets/fonts/SourceSansPro-BoldItalic.ttf
          style: italic
        - asset: assets/fonts/SourceSansPro-ExtraLight.ttf
        - asset: assets/fonts/SourceSansPro-ExtraLightItalic.ttf
          style: italic
        - asset: assets/fonts/SourceSansPro-Italic.ttf
          style: italic
        - asset: assets/fonts/SourceSansPro-Light.ttf
        - asset: assets/fonts/SourceSansPro-LightItalic.ttf
          style: italic
        - asset: assets/fonts/SourceSansPro-Regular.ttf
        - asset: assets/fonts/SourceSansPro-SemiBold.ttf
        - asset: assets/fonts/SourceSansPro-SemiBoldItalic.ttf
          style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.io/custom-fonts/#from-packages
